<?php
include 'header.php';
include 'config.php';
$code = $_GET['code'];
$state = $_GET['state'];
$url = $config['access_token_download'];
$post = array(
    'code' => $code,
    'grant_type' => 'authorization_code',
    'client_id' => $config['client_id_upload'],
    'client_secret' => $config['client_secret_upload'],
    'redirect_uri' => $config['uploaddoc_redirect_uri'],
);
$vh = curl_init($url);
curl_setopt($vh, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($vh, CURLOPT_POST, true);
curl_setopt($vh, CURLOPT_TIMEOUT, 30); //timeout after 30 seconds
curl_setopt($vh, CURLOPT_POSTFIELDS, $post);
//curl_setopt($vh, CURLOPT_HTTPHEADER, $headers);
curl_setopt($vh, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($vh, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($vh, CURLOPT_RETURNTRANSFER, true);
$result = curl_exec($vh);
curl_close($vh);
$notgettingdata = explode('', $result);
$getToken = json_decode($notgettingdata[1]);



if (isset($getToken->access_token)) {
    $access_token = $getToken->access_token;
}
if (isset($access_token)) {
    $doc = new DOMDocument('1.0');
    $doc->formatOutput = true;
    $doc = new DOMDocument('1.0');
    $doc->formatOutput = true;
    $root = $doc->createElement('maincontent');
    $root = $doc->appendChild($root);
    $title = $doc->createElement('code');
    $title = $root->appendChild($title);
    $enclosure = $doc->createAttribute('num');
    $enclosure->value = $code;
    $title->appendChild($enclosure);
    $title = $doc->createElement('access_token');
    $title = $root->appendChild($title);
    $text = $doc->createTextNode($access_token);
    $text = $title->appendChild($text);
    $doc->save("xml/hashhkey.xml");
}
if (file_exists("xml/hashhkey.xml")) {
    $xml = (array) simplexml_load_file("xml/hashhkey.xml") or die("Error: Cannot create object");
} else {
    echo "xml/hashhkey.xml file doesnot exists";
}
$access_token = $xml['access_token'];

$headers = array(
    'Authorization: Bearer ' . $access_token
//'Authorization: Basic '. base64_encode("$username:$password")
);
$urlFile = $config['file_uri'];
$vhf = curl_init($urlFile);
curl_setopt($vhf, CURLOPT_TIMEOUT, 30); //timeout after 30 seconds
curl_setopt($vhf, CURLOPT_HTTPHEADER, $headers);
curl_setopt($vhf, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($vhf, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($vhf, CURLOPT_RETURNTRANSFER, true);
$resFile = curl_exec($vhf);
curl_close($vhf);
$resFileNew = explode('', $resFile);
$dataF = json_decode($resFileNew[1], TRUE);
?>

<div id="wrapper"> 
    <div id="page-wrapper">
        <div class="container-fluid">
            <!-- Page Heading -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="container">
                        <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#uploadeddocument"><img src="images/uploaded_files.png">Uploaded Document</a></li>
                        </ul>
                        <div class="tab-content">
                            <div id="uploadeddocument" class="tab-pane fade in active">
                                <section class="content">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="box box-body col-sm-12" >
                                                <div class="row" style="margin-top:10px;">
                                                    <div class="col-md-6"><b onclick="uriData(null, null)" class="fa fa-home fa-2x" style="color:blueviolet;"></b><b id="parent" style="color:blueviolet;"></b>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <form action="browse.php" method="post" enctype="multipart/form-data" >
                                                            <div class="col-md-8" style="padding-left:130px;">
                                                                <input type="text" value="<?php echo $access_token; ?>" name="accesstoken" class="hidden"/>
                                                                <input type="text" value="<?php echo $code; ?>" name="code" class="hidden"/>
                                                                <input type="text" value="<?php echo $state; ?>" name="state" class="hidden"/>
                                                                <input type="text" name="filePath"  class="hidden"  value="" id="filePath"/>
                                                                <input type="file" id="fileUpload" name="fileUpload"/>
                                                            </div>
                                                            <div class="col-md-4 " >
                                                                <input type="submit" name="submit" class="btn btn-primary" value="Upload" style="height:23px; width:78px; padding:0px !important;">
                                                            </div>      
                                                        </form>
                                                    </div>
                                                </div>
                                                <table class="table">
                                                    <thead style="color:blueviolet;">
                                                        <tr>
                                                            <td>Name</td>
                                                            <td>Size</td>
                                                            <td>Date</td>
                                                            <td id="tdUri" style="display:none;">URI</td>
                                                        </tr>
                                                    </thead>
                                                    <tbody  id="folderPath">
                                                    <div id="loading" style="height:42px; width:56px; margin:0 auto;"></div>
                                                    <?php
                                                    foreach ((array) ($dataF['items']) as $api_detail) {
                                                        if (isset($api_detail['id'])) {
                                                            $api_detail['id'] = $api_detail['id'];
                                                            $api_detail['parent'] = $api_detail['parent'];
                                                        } else {
                                                            $api_detail['id'] = "";
                                                        }
                                                        ?>
                                                        <tr>
                                                            <?php
                                                            if (($api_detail['type']) == "dir") {
                                                                echo '<td onclick="uriData(' . $api_detail['id'] . ',' . $api_detail['parent'] . ')">';
                                                                echo '<img src="images/folder.svg"></img>';
                                                                echo($api_detail['name']);
                                                            }
                                                            if ($api_detail['type'] == "file") {
                                                                echo "<td onclick='thisIsNotAFolder()'>";
                                                                echo '<img src="images/file.svg"></img>';
                                                                echo($api_detail['name']);
                                                            }
                                                            echo "</td>";
                                                            ?>
                                                            <td><?php echo($api_detail['size']); ?></td>
                                                            <td><?php echo($api_detail['date']); ?></td>
                                                            <?php if ($api_detail['type'] == "file") { ?>
                                                                <td>
                                                                    <button onclick="download('<?php echo($api_detail['uri'] . ',' . $api_detail['name']); ?>')"><i  class="fa fa-download"> </i></button>

                                                                </td>
                                                            <?php }
                                                            ?>
                                                        </tr>
                                                    <?php }
                                                    ?>
                                                    </tbody>
                                                </table>
                                                <div class="footer">
                                                    <a class="btn btn-primary" style="float: right; margin-left: 10px; border-radius:5px;" href="payment.php">Complete Payment</a>
                                                    <a class="btn btn-primary" style="float: right; border-radius:5px;" href="index.php">Cancel</a>
                                                </div>

                                            </div>
                                        </div>                
                                    </div>
                                </section>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'footer.php' ?>
<script>

    $("#filePath").val("");
    function uriData(id, parent) {
        $("#folderPath").empty();
        $("#fileUpload").val("");
        $("#filePath").val("");
        $("#tdUri").show();
        var id = id;
        var accessTocken = "<?php echo $access_token; ?>";
        var uri = "<?php echo $api_detail['uri']; ?>";
        var uriDataHtml = "";
        var fileOrFolder = "";
        var onclickFnc = "";
        var dwnldTd = "";
        var accessToken = "<?php echo $access_token; ?>";
        $.post("http://localhost/digibank/uri.php", {access_token: accessTocken, id: id}, function (result) {
            $.each(result.items, function (i, l) {

                if (result.items[i].type == "file") {
                    console.log(result.items);
                    fileOrFolder = '<img src="images/file.svg"></img>';
                    onclickFnc = "onclick='thisIsNotAFolder()'";
                    dwnldTd = "<td onclick = 'download(\"" + result.items[i].uri + "\",\"" + result.items[i].name + "\");';><button><i  class='fa fa-download'> </i></button></td>";
                } else {
                    fileOrFolder = '<img src="images/folder.svg"></img>';
                    onclickFnc = "onclick='uriData(" + result.items[i].id + "," + result.items[i].parent + ")'";
                    dwnldTd = "<td></td>";
                }
                uriDataHtml += "<tr><td " + onclickFnc + ">" + fileOrFolder + result.items[i].name + "</td><td>" + result.items[i].size + "</td><td>" + result.items[i].date + "</td>\n\
                                        <td>" + result.items[i].uri + "</td>" + dwnldTd + "</tr>";
                $("#folderPath").html(uriDataHtml);
            });
            $("#filePath").val(result.directory);
            //$("#parent").empty();
            $("#parent").html("<b onclick=uriData(" + parent + ",null)>" + result.directory + "</b>");
        }, "json")
                .fail(function () {
                    $("#folderPath").html("Some error found");
                });
    }
    function download(uris, filename) {
        $('#loading').show();
        var getdata = uris.split(",");
        var uri = getdata[0];
        var filename = getdata[1];
        var accessTocken = "<?php echo $access_token; ?>";
        var arraydata = {uri: uri, accesstoken: accessTocken, filename: filename}
        $.ajax({
            url: '/digibank/download.php',
            type: 'POST',
            data: arraydata
        }).done(function (response)
        {
            $('#loading').hide();
            var getdata = JSON.parse(response);
            console.log(getdata[1]);
            window.open("data:" + getdata[0] + ";base64," + getdata[1], '', 'height=650,width=840');
        });
    }
    $('#loading').hide();
</script>
</html>